package jp.ac.dendai.cdl.mori.wikie.mapred;

public class WPageElement {
    private String title;
    /**
     * エントリのID．
     */
    private String pageId;
    /**
     * リビジョンID．
     */
    private String revisionId;
    /**
     * タイムスタンプ．
     */
    private String timestamp;
    /**
     * ユーザ名．
     */
    private String username;
    /**
     * ユーザID．
     */
    private String userId;
    /**
     * 本文部分．
     */
    private String text;

    public WPageElement() {
    }

    public String getTitle() {
        return title;
    }
    public void setTitle(String title) {
        this.title = title;
    }
    public String getPageId() {
        return pageId;
    }
    public void setPageId(String pageId) {
        this.pageId = pageId;
    }
    public String getRevisionId() {
        return revisionId;
    }
    public void setRevisionId(String revisionId) {
        this.revisionId = revisionId;
    }
    public String getTimestamp() {
        return timestamp;
    }
    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }
    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getUserId() {
        return userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getText() {
        return text;
    }
    public void setText(String text) {
        this.text = text;
    }
}
